Open CASCADE Technology: TNaming_Name Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
TNaming_Name Class Reference

store the arguments of Naming. More...

`#include <TNaming_Name.hxx>`

## Public Member Functions
| TNaming_Name ()
void | Type (const TNaming_NameType aType)
void | ShapeType (const TopAbs_ShapeEnum aType)
void | Shape (const TopoDS_Shape &theShape)
void | Append (const Handle< TNaming_NamedShape > &arg)
void | StopNamedShape (const Handle< TNaming_NamedShape > &arg)
void | Index (const Standard_Integer I)
void | ContextLabel (const TDF_Label &theLab)
void | Orientation (const TopAbs_Orientation theOrientation)
TNaming_NameType | Type () const
TopAbs_ShapeEnum | ShapeType () const
TopoDS_Shape | Shape () const
const TNaming_ListOfNamedShape & | Arguments () const
Handle< TNaming_NamedShape > | StopNamedShape () const
Standard_Integer | Index () const
const TDF_Label & | ContextLabel () const
const TopAbs_Orientation | Orientation () const
Standard_Boolean | Solve (const TDF_Label &aLab, const TDF_LabelMap &Valid) const
void | Paste (TNaming_Name &into, const Handle< TDF_RelocationTable > &RT) const

## Detailed Description

store the arguments of Naming.

## Constructor & Destructor Documentation

TNaming_Name::TNaming_Name | ( |  | ) |

## Member Function Documentation

void TNaming_Name::Append | ( | const Handle< TNaming_NamedShape > & | arg | ) |

const TNaming_ListOfNamedShape& TNaming_Name::Arguments | ( |  | ) | const

void TNaming_Name::ContextLabel | ( | const TDF_Label & | theLab | ) |

const TDF_Label& TNaming_Name::ContextLabel | ( |  | ) | const

void TNaming_Name::Index | ( | const Standard_Integer | I | ) |

Standard_Integer TNaming_Name::Index | ( |  | ) | const

void TNaming_Name::Orientation | ( | const TopAbs_Orientation | theOrientation | ) |

const TopAbs_Orientation TNaming_Name::Orientation | ( |  | ) | const

void TNaming_Name::Paste | ( | TNaming_Name & | into,
|  | const Handle< TDF_RelocationTable > & | RT
| ) |  | const

void TNaming_Name::Shape | ( | const TopoDS_Shape & | theShape | ) |

TopoDS_Shape TNaming_Name::Shape | ( |  | ) | const

void TNaming_Name::ShapeType | ( | const TopAbs_ShapeEnum | aType | ) |

TopAbs_ShapeEnum TNaming_Name::ShapeType | ( |  | ) | const

Standard_Boolean TNaming_Name::Solve | ( | const TDF_Label & | aLab,
|  | const TDF_LabelMap & | Valid
| ) |  | const

void TNaming_Name::StopNamedShape | ( | const Handle< TNaming_NamedShape > & | arg | ) |

Handle< TNaming_NamedShape > TNaming_Name::StopNamedShape | ( |  | ) | const

void TNaming_Name::Type | ( | const TNaming_NameType | aType | ) |

TNaming_NameType TNaming_Name::Type | ( |  | ) | const

The documentation for this class was generated from the following file:

- TNaming_Name.hxx